---
title: 'Location: toString()'
slug: Web/API/Location/toString
tags:
  - API
  - Location
  - Method
  - Reference
  - Stringifier
---
<p>{{ApiRef("Location")}}</p>

<p>The <strong><code>toString()</code></strong> stringifier method of the {{domxref("Location")}} interface returns a {{domxref("USVString")}} containing the whole URL. It is a read-only version of {{domxref("Location.href")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>string</em> = <em>object</em>.toString();</pre>

<h2 id="Examples">Examples</h2>

<pre class="brush: js notranslate">// Let's imagine an &lt;a id="myAnchor" href="/en-US/docs/Location/toString"&gt; element is in the document
var anchor = document.getElementById("myAnchor");
var result = anchor.toString(); // Returns: 'https://developer.mozilla.org/en-US/docs/Location/toString'
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "#dom-location-href")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Location.toString")}}</p>
